Count Account Events
curl --request POST \
--url https://api.example.com/events/count-by/{countable} \
--header 'Content-Type: application/json' \
--data '
{
"filter": {
"occurred": {
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z"
},
"event": {
"prefix": [
"<string>"
],
"exclude_prefix": [
"<string>"
],
"name": [
"<string>"
],
"exclude_name": [
"<string>"
]
},
"resource": {
"id": [
"<string>"
],
"id_prefix": [
"<string>"
],
"labels": {},
"distinct": false
},
"related": {
"id": [
"<string>"
],
"role": [
"<string>"
],
"resources_in_roles": [
[
"<string>",
"<string>"
]
],
"labels": {}
},
"any_resource": {
"id": [
"<string>"
],
"id_prefix": [
"<string>"
],
"labels": {}
},
"id": {
"id": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"text": {
"query": "<string>"
},
"order": "DESC"
},
"time_unit": "day",
"time_interval": 1
}
'import requests
url = "https://api.example.com/events/count-by/{countable}"
payload = {
"filter": {
"occurred": {
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z"
},
"event": {
"prefix": ["<string>"],
"exclude_prefix": ["<string>"],
"name": ["<string>"],
"exclude_name": ["<string>"]
},
"resource": {
"id": ["<string>"],
"id_prefix": ["<string>"],
"labels": {},
"distinct": False
},
"related": {
"id": ["<string>"],
"role": ["<string>"],
"resources_in_roles": [["<string>", "<string>"]],
"labels": {}
},
"any_resource": {
"id": ["<string>"],
"id_prefix": ["<string>"],
"labels": {}
},
"id": { "id": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] },
"text": { "query": "<string>" },
"order": "DESC"
},
"time_unit": "day",
"time_interval": 1
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {
occurred: {since: '2023-11-07T05:31:56Z', until: '2023-11-07T05:31:56Z'},
event: {
prefix: ['<string>'],
exclude_prefix: ['<string>'],
name: ['<string>'],
exclude_name: ['<string>']
},
resource: {id: ['<string>'], id_prefix: ['<string>'], labels: {}, distinct: false},
related: {
id: ['<string>'],
role: ['<string>'],
resources_in_roles: [['<string>', '<string>']],
labels: {}
},
any_resource: {id: ['<string>'], id_prefix: ['<string>'], labels: {}},
id: {id: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']},
text: {query: '<string>'},
order: 'DESC'
},
time_unit: 'day',
time_interval: 1
})
};
fetch('https://api.example.com/events/count-by/{countable}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"value": "<string>",
"label": "<string>",
"count": 123,
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Events
Count Account Events
Returns distinct objects and the count of events associated with them. Objects that can be counted include the day the event occurred, the type of event, or the IDs of the resources associated with the event.
POST
/
events
/
count-by
/
{countable}
Count Account Events
Headers
Path Parameters
Available options:
day, time, event, resource Body
application/json
Response
Successful Response
Was this page helpful?
⌘I